Subject: bug#25590: Remove build number from emacs-version variable

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Feb 2017 21:38:44 +0200

> From: Noam Postavsky <[email-masked]>
> Date: Mon, 6 Feb 2017 13:34:40 -0500
> Cc: Glenn Morris <[email-masked]>, [email-masked]
> 
> I think the proposal is to go from this:
> 
> emacs-version ;=> "24.5.1"
> (emacs-version) ;=> "GNU Emacs 24.5.1 (i686-pc-mingw32)
>  of 2015-04-11 on LEG570"
> 
> to this
> 
> emacs-version ;=> "24.5"
> emacs-build-number ;=> 1
> (emacs-version) ;=> "GNU Emacs 24.5 (Build 1) (i686-pc-mingw32)
>  of 2015-04-11 on LEG570"
> 
> i.e., there are no changes in version-comparibility:
>  (version< emacs-version "24.5") continues to work,
>  (version< (emacs-version) "24.5") continues to fail.

Ah, okay.  Sorry for my confusion.

> >> > It's actually part of a version number (which many other projects
> >> > have, e.g., GDB just released version 7.12.1), except that we never
> >> > release such versions, they exist only on end-users' machines.  Other
> >> > than that, there's nothing in it which is special to Emacs.
> >>
> >> I don't understand the comparison. A micro version number
> >> (major.minor.micro) is not the same thing as Emacs's build number.
> >
> > I think it is.
> >
> 
> GDB 7.12.1 is a public release, the official NEWS file documents the
> differences between that and 7.12. For Emacs, there is no well-defined
> difference between 25.1.1 and 25.1.2, it could be different for every
> person who builds it.

Isn't that what I said above?